<?php if (!defined('PLX_ROOT')) exit; ?>
<?php
if (!empty($_POST)) {
    $TAuthorEmail = array();
	// NbAE : nombre d'Author-Email
	if(!isset($_POST['NbAE'])) exit;
    $NbAE = $_POST['NbAE'];
	// stocke dans le tableau TAuthorEmail la liste d'auteurs et email  mettre en liste blanche
	for($i=0; $i<$NbAE; $i++)
	    {
		  $Auteur = $_POST['Auteur'.$i];
		  $Email  = $_POST['Email'.$i];
		  if($Auteur)
		      {
			    if(!isset($Email)) $Email="";
				array_push($TAuthorEmail, $Auteur);
				array_push($TAuthorEmail, $Email);
			  }
		}
	// Sauvegarde TAuthorEmail dans le paramtrage du plugin en chaine JSON
	$plxPlugin->setParam('TAuthorEmail', json_encode($TAuthorEmail), 'cdata');
	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p=commentAuthorOK');
	exit;
}

// Rcupre la chaine JSON stockant le tableau d'auteurs et email dans les paramtres du plugin
$StrTAuthorEmail = plxUtils::cdataCheck(trim($plxPlugin->getParam('TAuthorEmail')));
if(!isset($StrTAuthorEmail) || strlen($StrTAuthorEmail)<2)
    {
	  $StrTAuthorEmail = "[]";
    }
?>

<script type="text/javascript">
// le tableau d'Auteurs et Email est mis dans g_TAuthorEmail
var g_TAuthorEmail = <?php echo $StrTAuthorEmail ?>;
var g_NbAE = (g_TAuthorEmail.length / 2);


//----------------------------------------------------------------
//--- Au chargement de la page, on cre les lignes Auteur Email --
//----------------------------------------------------------------
onload = function()
{
var str="";
var i;
for(i=0; i<g_NbAE*2; i+=2)
    {
	  str+=GetStrLine(i/2, g_TAuthorEmail[i], g_TAuthorEmail[i+1]);
	}
str+=GetStrLine(i/2, "", "");
document.getElementById("IdAuthorEmailZone").innerHTML = str;
}


//----------------------------------------------------------------
//--- Rcupre le code HTML pour une ligne Auteur Email ----------
//----------------------------------------------------------------
function GetStrLine(iLig, Auteur, Email)
{
str='<div id="IdDiv'+iLig+'">'
	  +'Auteur : <input type="text" name="Auteur'+iLig+'" id="IdAuteur'+iLig+'" value="'+Auteur+'"/>&nbsp;&nbsp;&nbsp;&nbsp;'
	  +'Email : <input type="text" name="Email'+iLig+'" value="'+Email+'"/>&nbsp;&nbsp;&nbsp;&nbsp;';

str+='<input type="button" id="IdBtnSuppr'+iLig+'" onClick="DeleteLine('+iLig+')" value="Supprimer"'
    +' style="width:70px;';
if(iLig>=g_NbAE)
    { 
	  str+='display:none';
	}
str+='" />';

if(iLig>=g_NbAE)
    { str+='<input type="button" id="IdBtnAjout'+iLig+'" onClick="AddNewLine()" value="Ajouter" style="width:70px" />';
      g_NbAE++;
	}
str+='</div>';

return(str);
}


//----------------------------------------------------------------
//--- Supprime la ligne Auteur Email "iLig" ----------------------
//----------------------------------------------------------------
function DeleteLine(iLig)
{
document.getElementById("IdDiv"+iLig).innerHTML="";
}


//----------------------------------------------------------------
//--- Ajoute une ligne Auteur Email dans le formulaire -----------
//----------------------------------------------------------------
function AddNewLine()
{
if(document.getElementById("IdAuteur"+(g_NbAE-1)).value=="")
	{
	  alert("Saisir un auteur de commentaire avant d'en ajouter un autre.");
	  return;
	}
document.getElementById("IdBtnAjout"+(g_NbAE-1)).style.display="none";
document.getElementById("IdBtnSuppr"+(g_NbAE-1)).style.display="";
document.getElementById("IdAuthorEmailZone").insertAdjacentHTML('beforeend', GetStrLine(g_NbAE, "", ""));
}


//----------------------------------------------------------------
//--- Met le nombre d'auteurs saisis dans le champ NbAE ----------
//--- , puis Submit le formulaire --------------------------------
//----------------------------------------------------------------
function BeforeSubmit()
{
if(document.getElementById("IdAuteur"+(g_NbAE-1)).value=="")
	{
	  g_NbAE--;
	}
document.getElementById("IdNbAE").value = g_NbAE;
document.forms["form_commentAuthorOK"].submit();
}
</script>

<h2>Personnes dont les commentaires sont automatiquement valid&eacute;s</h2>

<form id="form_commentAuthorOK" action="parametres_plugin.php?p=commentAuthorOK" method="post">
<input type="hidden" id="IdNbAE" name="NbAE" />

<div id="IdAuthorEmailZone">
</div>

<br />
<input type="button" value="Enregistrer" style="width:80px" onClick="BeforeSubmit()" />
</form>
